DPKG-DEB(1)

NOMBRE
dpkg-deb - Herramienta de manipulación de archivos de Debian (.deb)

SINOPSIS
dpkg-deb -b|--build R directorio [ archivo | directorio ]
dpkg-deb -I|--info R archivo [ archivo-de-control ..]
dpkg-deb -f|--field R archivo [ archivo-de-control ...]
dpkg-deb -c|--contents archivo
dpkg-deb -x|--extract|-X|--vextract archivo directorio
dpkg-deb --fsys-tarfile archivo
dpkg-deb --control archivo directorio

DESCRIPCION
dpkg-deb empaqueta, desempaqueta, y provee información sobre los archivos de Debian.

Use dpkg para instalar y eliminar paquetes de su sistema.

También puede usar dpkg-deb llamando a dpkg con cualquiera de las opciones que desee darle dpkg-deb. dpkg le mostrará lo que necesite y dpkg-deb lo ejecutará por usted.

OPCIONES DE USO

--build, -b
    Crea un archivo de Debian desde el sistema de archivos localizado en el directorio. Eldirectorio debe tener un subdirectorio DEBIAN el cual contiene los archivos de información de control. Este directorio no aparecerá en el paquete binario, pero, en lugar de esto, los archivos que tenga serán puestos en el área de información del paquete binario. Usted puede especificar el nivel de compresión usado con la opción -z#. dpkg-deb pasará ésta a gzip.

    A menos que usted especifique --nocheck, dpkg-deb leerá DEBIAN/control y lo revisará. Comprobará posibles errores de sintaxis y otros problemas, y mostrará el nombre del paquete binario que se está creando. dpkg-deb también comprobará los permisos de los programas del desarrollador así como de los otros archivos que se encuentren en el directorio DEBIAN
     . Si no se especifica algún archivo , entonces dpkg-deb creará el paquete en el fichero directorio.deb.

    Si el archivo a ser creado ya existe entonces será sobreescrito.

    Si el segundo argumento es un directorio entonces dpkg-deb escribirá al archivo paquete_versión_arquitectura.deb, o paquete_versión.deb si el campo Arquitecture no está presente en el fichero de control del paquete. Cuando se especifica un directorio de destino en lugar de un fichero, la opción --nocheck no debería utilizarse (dado que dpkg-deb necesita leer y analizar el archivo de control del paquete para determinar qué nombre de archivo usar).

--info, -I
    Ofrece información acerca del paquete binario.

    Si se especifica archivo(s)-de-control entonces imprimirá un resumen de los contenidos del paquete así como del archivo de control.

    Si se especifica algún archivo-de-control dpkg-deb imprimirá éstos en el orden que fueron especificados. Si cualquiera de los componentes no estuviesen presentes, mostrará un mensaje de error a la salida de error estándar sobre cada uno de ellos y abortará con estado 2.

--field, -f
    Extrae información del fichero de control del fichero de un paquete binario.

    Si no se especifica ningún control-file-fields entonces mostrará todo el fichero de control.

    Si se especifica algún dpkg-deb mostrará sus contenidos, en el orden en el cual aparecen en el fichero de control. Si se especifica más de un campo-del-fichero-de-control , entonces dpkg-deb precederá cada uno con el nombre del campo (más dos puntos y espacio).

    No se informa de ningún error para los campos que se hayan solicitados pero que no se encuentren.

--contents, -c
    Lista los contenidos de la parte del archivo que contiene los archivos del sistema de ficheros. Se imprime en el formato generado por tar cuando se selecciona listado extendido.

--extract, -x, --vextract, -X
    Descomprime el árbol del sistema de ficheros desde el archivo del paquete en del directorio especificado.

    --vextract (-X) Muestra una lista de los archivos extraídos mientras que con la opción --extract (-x) no mostrará nada a menos que ocurra un error.

    Nota, ¡ no obtendrá una instalación correcta si extrae un paquete en el directorio raíz! Use dpkg para instalar paquetes.

    El directorio (pero no los directorios previos) será creado si fuera necesario.

--fsys-archivotar
    Descomprime el árbol del sistema de archivos de un paquete binarios y lo envía hacia la salida estándar en formato tar . Si se utiliza junto con tar(1) se puede utilizar para descomprimir un fichero concreto de un paquete.

--control, -e
    Descomprime los ficheros de información de control de un paquete dentro del directorio especificado.

    Si no se especifica ningún directorio se usará el subdirectorio DEBIAN en el directorio actual.

    El directorio de destino (pero no los directorios previos) será creado si fuera necesario.

--help, -h
    Muestra la información de cómo usar dpkg-deb's , con un resumen de sus opciones y usos.

--version
    Muestra el numero de versión de dpkg-deb's

--licence
    Muestra la información de licencia y garantía de dpkg-deb's (El uso de la palabra americana --license produce el mismo mensaje)

OTRAS OPCIONES

--new
    Asegura que dpkg-deb construye un `nuevo' formato de archivo. Éste es el comportamiento por defecto.

--old
    Fuerza dpkg-deb a construir un `antiguo' formato de archivo. Este formato antiguo de archivo es más dificil de analizar por herramientas que no formen parte de Debian, por lo que ahora es obsoleto. Sólo se usa cuando se construyen paquetes que serán analizados por versiones de dpkg previas a la version 0.93.76 (septiembre 1995), la cual se distribuyó sólo para i386 en formato a.out

--nocheck
    Impide las comprobaciones habituales de dpkg-deb --build's sobre los contenidos del archivo. Puede construir cualquier archivo que desee, no importa lo mal que esté.

--debug, -D
    Habilita los mensajes de depuración. No son muy interesantes.

BUGS
dpkg-deb -I B package1 .deb B package2 .deb no hace lo que debe hacer.

No existe ningún tipo de autentificación en los arhivos .deb de hecho, no hay ni siquiera una código de comprobación directo.

¡No use dpkg-deb para instalar software! Debe usar dpkg para asegurarse de que todos los archivos se instalan en el sitio correcto, que los guiones del paquete se ejecutan y que los contenidos de éste se registran.

VÉASE TAMBIÉN
deb(5), deb-control(5), dpkg(8), dselect(8).

AUTOR
dpkg-deb y esta página de manual, fué escrita por Ian Jackson. Son Copyright (c) 1995-1996 suyos, y se distribuyen bajo la Licencia Publica de GNU. No se ofrece NINGUNA garantía. Consulte /usr/share/doc/dpkg/copyright y /usr/share/common-licenses/GPL para más información

Está pagina fue traducida por Bruno Barrera C. <bruno.barrera@igloo.cl> y posteriormente revisada por Javier Fernández-Sanguino.